<div class="input-group justify-content-center mt-1 mb-3">
    <form [formGroup]="searchForm" class="d-flex">
        <input 
            type="search" 
            id="searchBar" 
            placeholder="Search NBA Players/Teams" 
            class="form-control me-1 flex-grow-1" 
            formControlName="searchInput"
            style="min-width: 250px"
            aria-label="Search" 
            (input)="onInputChange()"
            (focusin)="onSearchFocus()" 
            (focusout)="onSearchBlur()"/>
        <button 
            class="btn" 
            [class.btn-outline-success]="isRandomButtonEnabled"
            [class.btn-outline-secondary]="!isRandomButtonEnabled"
            type="button" 
            [disabled]="!isRandomButtonEnabled"
            (click)="onRandomButtonClick()">Random</button>
    </form>
    <div *ngIf="(isInputFocused || isDropDownHovered) && searchQuery && (teamSearchResults.length > 0 || playerSearchResults.length > 0)" 
        class="dropdown-menu show position-absolute" 
        style="max-height: 400px; overflow-y: auto; top: 100%; min-width: 250px; transform: translateX(-18%);"
        (mouseenter)="onDropdownHover()"
        (mouseleave)="onDropdownLeave()" >
        <div *ngIf="teamSearchResults.length > 0">
            <h6 class="text-center">Teams</h6>
            <ul class="list-group">
                <li class="list-group-item" 
                    [class.hovered]="currentHoveredSearchItem === team" 
                    *ngFor="let team of teamSearchResults" 
                    (mouseover)="onSearchItemHover(team)" 
                    (click)="onTeamClick(team)">{{ team.name }}</li>
            </ul>
        </div>
        <div class="mt-2" *ngIf="playerSearchResults.length > 0">
            <h6 class="text-center">Players</h6>
            <ul class="list-group">
                <li class="list-group-item" 
                    [class.hovered]="currentHoveredSearchItem === player" 
                    *ngFor="let player of playerSearchResults" 
                    (mouseover)="onSearchItemHover(player)" 
                    (click)="onPlayerClick(player)">{{ player.player_name }}</li>
            </ul>
        </div>
    </div>
</div>
